Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.scheduling
Class ReportSchedulerServiceImpl

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.scheduling.ReportSchedulerServiceImpl

All Implemented Interfaces:
  ReportSchedulerService

    public class ReportSchedulerServiceImpl

extends java.lang.Object
implements ReportSchedulerService

Version:
  $Id: ReportSchedulerServiceImpl.java 9867 2007-08-31 13:18:39Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ReportSchedulerServiceImpl()`

Method Summary
`void` | `deleteJob(long id)`
`void` | `deleteJobs(long[] ids)`
`JobSummary[]` | `getAllJobs()`
`ReportJobBeanTraslator` | `getBeanTraslator()`
`Job` | `getJob(long id)`
`protected java.util.Locale` | `getLocale()`
`JobSummary[]` | `getReportJobs(java.lang.String reportURI)`
`ReportSchedulingService` | `getScheduler()`
`protected ExecutionContext` | `makeExecutionContext()`
`Job` | `scheduleJob(Job job)`
`void` | `setBeanTraslator(ReportJobBeanTraslator beanTraslator)`
`void` | `setScheduler(ReportSchedulingService scheduler)`
`protected JobSummary[]` | `toSummaryArray(java.util.List reportJobSummaries)`
`Job` | `updateJob(Job job)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSchedulerServiceImpl

    public ReportSchedulerServiceImpl()

Method Detail

### deleteJob

    public void deleteJob(long id)
                   throws org.apache.axis.AxisFault

  Specified by:
    `deleteJob` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### deleteJobs

    public void deleteJobs(long[] ids)
                    throws org.apache.axis.AxisFault

  Specified by:
    `deleteJobs` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### getJob

    public Job getJob(long id)
               throws org.apache.axis.AxisFault

  Specified by:
    `getJob` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### scheduleJob

    public Job scheduleJob(Job job)
                    throws org.apache.axis.AxisFault

  Specified by:
    `scheduleJob` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### updateJob

    public Job updateJob(Job job)
                  throws org.apache.axis.AxisFault

  Specified by:
    `updateJob` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### getAllJobs

    public JobSummary[] getAllJobs()
                            throws org.apache.axis.AxisFault

  Specified by:
    `getAllJobs` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### getReportJobs

    public JobSummary[] getReportJobs(java.lang.String reportURI)
                               throws org.apache.axis.AxisFault

  Specified by:
    `getReportJobs` in interface `ReportSchedulerService`
  Throws:
    `org.apache.axis.AxisFault`

### toSummaryArray

    protected JobSummary[] toSummaryArray(java.util.List reportJobSummaries)

### makeExecutionContext

    protected ExecutionContext makeExecutionContext()

### getLocale

    protected java.util.Locale getLocale()

### getScheduler

    public ReportSchedulingService getScheduler()

### setScheduler

    public void setScheduler(ReportSchedulingService scheduler)

### getBeanTraslator

    public ReportJobBeanTraslator getBeanTraslator()

### setBeanTraslator

    public void setBeanTraslator(ReportJobBeanTraslator beanTraslator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.